<!-- informacion individual de user y funcionalidad de editar el mismo -->
<button class="btn btn-primary" style="left: 10%" routerLink="/perfil/users">
  Back
</button>

<div
  class="text-center justify-content-center card mx-auto"
  style="width: 50%; height: 18rem"
>
  <h2>User profile</h2>
  <div
    class="card text-cent justify-content-center card mx-auto"
    style="width: 18rem"
  >
    <div class="card-header"><b>Id:</b> {{ userChoosed._id }}</div>
    <ul class="list-group list-group-flush">
      <li class="list-group-item"><b>Name:</b> {{ userChoosed.name }}</li>
      <li class="list-group-item"><b>Surname:</b> {{ userChoosed.surname }}</li>
      <li class="list-group-item"><b>Email:</b> {{ userChoosed.email }}</li>
      <li class="list-group-item"><b>Role:</b> {{ userChoosed.role }}</li>
    </ul>
  </div>
</div>
<div
  class="text-center justify-content-center card mx-auto"
  style="width: 30%; height: 24rem"
>
  <h1>Edit user info</h1>
  <form
    class="form-signin col-auto mx-auto col-auto mx-auto"
    [formGroup]="editForm"
    (ngSubmit)="editUser()"
  >
    <label for="inputEmail" class="sr-only">Email</label>
    <input
      class="form-control"
      formControlName="email"
      type="email"
      placeholder="example@example.com"
    />
    <label for="inputRole" class="sr-only">Role(ADMIN, EMPLOYER, USER)</label>
    <input
      class="form-control"
      formControlName="role"
      type="text"
      placeholder="ADMIN"
    />
    <label for="inputPassword" class="sr-only">Password</label>
    <input
      class="form-control"
      formControlName="password"
      type="password"
      placeholder="*********"
    />
    <button class="btn btn-primary btn-block mt-3" type="submit">
      Save changes
    </button>
  </form>
</div>
